Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ifs.example.rpp
Class RPPModel

    java.lang.Object
      ifs.model.Model
          ifs.example.rpp.RPPModel

    public class RPPModel

extends Model

RPP model.
The random placement problem (RPP; for more details, see http://www.fi.muni.cz/~hanka/rpp/) seeks to place a set of randomly generated rectangles (called objects) of different sizes into a larger rectangle (called placement area) in such a way that no objects overlap and all objects’ borders are parallel to the border of the placement area. In addition, a set of allowable placements can be randomly generated for each object. The ratio between the total area of all objects and the size of the placement area will be denoted as the filled area ratio.
RPP allows us to generate various instances of the problem similar to a trivial timetabling problem. The correspondence is as follows: the object corresponds to a course to be timetabled – the x-coordinate to its time, the y-coordinate to its classroom. For example, a course taking three hours corresponds to an object with dimensions 3x1 (the course should be taught in one classroom only). Each course can be placed only in a classroom of sufficient capacity – we can expect that the classrooms are ordered increasingly in their size so each object will have a lower bound on its y-coordinate.

Version:
  1.0
Author:
  Tomáš Müller

Constructor Summary
`RPPModel()` Constructor.

Method Summary
`Rectangle` | `getRectangle(String name)` Returns rectangle of the given name

Methods inherited from class ifs.model.Model
`addConstraint, addModelListener, addVariable, afterAssigned, afterUnassigned, assignedVariables, beforeAssigned, beforeUnassigned, bestUnassignedVariables, conflictConstraints, conflictValues, constraints, countConstraints, countVariables, getBestPerturbations, getBestUnassignedVariables, getInfo, getModelListeners, getTotalValue, init, modelListenerOfType, perturbVariables, removeConstraint, removeModelListener, removeVariable, restoreBest, saveBest, toString, unassignedHardConstraints, unassignedVariables, variables, variablesWithoutInitialValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RPPModel

    public RPPModel()

  Constructor.

Method Detail

### getRectangle

    public Rectangle getRectangle(String name)

  Returns rectangle of the given name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Tomáš Müller